Bug 1269102 - Several RHEL ISOs identified as Unknown
Several RHEL ISOs identified as Unknown
Status: CLOSED CURRENTRELEASE
Product: Virtualization Tools
Classification: Community
Component: libosinfo (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Zeeshan Ali
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-06 06:53 EDT by Alexander Todorov
Modified: 2016-09-19 21:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1268300
Environment:
Last Closed: 2016-05-11 11:17:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2015-10-06 06:53:08 EDT
+++ This bug was initially created as a clone of Bug #1268300 +++

OTOH when using ISO media with virt-manager
7.1, 6.7 and 6.6 are identified as Unknown.

The file command reports the following for these ISOs

RHEL-6.4-Server-x86_64-boot.iso:            ISO 9660 CD-ROM filesystem data 'RHEL_6.4 x86_64 boot' (bootable)
RHEL-6.5-20131111.0-Server-x86_64-boot.iso: ISO 9660 CD-ROM filesystem data 'RHEL_6.5 x86_64 boot' (bootable)
RHEL-6.6-20140926.0-Server-x86_64-boot.iso: ISO 9660 CD-ROM filesystem data 'Red Hat Enterprise Linux' (bootable)
RHEL-6.7-20150702.0-Server-x86_64-boot.iso: ISO 9660 CD-ROM filesystem data 'Red Hat Enterprise Linux' (bootable)
RHEL-7.0-20140507.0-Server-x86_64-boot.iso: ISO 9660 CD-ROM filesystem data 'RHEL-7.0 x86_64' (bootable)
RHEL-7.1-20150219.1-Server-x86_64-boot.iso: ISO 9660 CD-ROM filesystem data 'RHEL-7.1 x86_64' (bootable)



--- Additional comment from Christophe Fergeau on 2015-10-02 16:34:03 EEST ---

> 
> OTOH when using ISO media
> 7.1, 6.7 and 6.6 are identified as Unknown.

6.6 detection was added upstream in libosinfo v0.2.12, and 7.1 information is only in libosinfo.git 


This is on Rawhide with:

libosinfo-0.2.12-2.fc23.x86_64
Comment 1 Fabiano Fidêncio 2016-05-11 11:17:49 EDT
Support for 6.7, 7.1 and 7.2 are present on 0.3.0.

RHEL-6.7: a17d121a2f3e106722a89e72b40f0cb1b431e51c
RHEL-7.1: 6c3ddecb5e9167c6eff182ac62358c9e96c47d36
RHEL-7.2: bfd9d6337e4e17200c1b82ed0dc9baecc645d7f3

Support for 6.6 (and older) was added for 0.2.12

RHEL-5.9 ... RHEL-6.6: 3dcfa43b221b9e5a04878a37f91727696deadd57

I'm closing the bug as CURRENT RELEASE.

Note You need to log in before you can comment on or make changes to this bug.